List on-ramp references
All filters are optional and combined. Unlike the other collections,
this one pages with pageNumber/pageSize and returns
{data, pageNumber, pageSize, count}, where count is the total
number of matches.
GET
/
onramp
/
references
List on-ramp references
curl --request GET \
--url https://api.zeam.money/gw/v1/onramp/references \
--header 'Authorization: Bearer <token>' \
--header 'x-zeam-auth: <api-key>'{
"data": [
{
"reference": "<string>",
"routeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "<string>",
"settlementAccount": "<string>",
"isActive": true,
"created": "2023-11-07T05:31:56Z"
}
],
"pageNumber": 123,
"pageSize": 123,
"count": 123
}{
"type": "https://errors.zeam.app/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The 'amount' field must be a positive decimal.",
"instance": "/v1/quotes",
"requestId": "01J8Z6K3QW9F2",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "https://errors.zeam.app/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The 'amount' field must be a positive decimal.",
"instance": "/v1/quotes",
"requestId": "01J8Z6K3QW9F2",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "https://errors.zeam.app/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The 'amount' field must be a positive decimal.",
"instance": "/v1/quotes",
"requestId": "01J8Z6K3QW9F2",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "https://errors.zeam.app/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The 'amount' field must be a positive decimal.",
"instance": "/v1/quotes",
"requestId": "01J8Z6K3QW9F2",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Access token issued by POST /v1/auth/token.
Application secret (the apiKey issued at registration), required on every request.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100List on-ramp references
curl --request GET \
--url https://api.zeam.money/gw/v1/onramp/references \
--header 'Authorization: Bearer <token>' \
--header 'x-zeam-auth: <api-key>'{
"data": [
{
"reference": "<string>",
"routeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "<string>",
"settlementAccount": "<string>",
"isActive": true,
"created": "2023-11-07T05:31:56Z"
}
],
"pageNumber": 123,
"pageSize": 123,
"count": 123
}{
"type": "https://errors.zeam.app/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The 'amount' field must be a positive decimal.",
"instance": "/v1/quotes",
"requestId": "01J8Z6K3QW9F2",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "https://errors.zeam.app/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The 'amount' field must be a positive decimal.",
"instance": "/v1/quotes",
"requestId": "01J8Z6K3QW9F2",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "https://errors.zeam.app/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The 'amount' field must be a positive decimal.",
"instance": "/v1/quotes",
"requestId": "01J8Z6K3QW9F2",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "https://errors.zeam.app/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The 'amount' field must be a positive decimal.",
"instance": "/v1/quotes",
"requestId": "01J8Z6K3QW9F2",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}